# duckmatic.cpp File Reference

Template File. More...

`#include <fstream>`
`#include <iostream>`
`#include <algorithm>`
`#include <ETL/hermite>`
`#include "duckmatic.h"`
`#include <synfigapp/value_desc.h>`
`#include <synfig/general.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/valuenode_timedswap.h>`
`#include <synfig/valuenode_animated.h>`
`#include <synfig/valuenode_composite.h>`
`#include <synfig/valuenode_scale.h>`
`#include <synfig/valuenode_bline.h>`
`#include <synfig/valuenode_blinecalctangent.h>`
`#include <synfig/valuenode_blinecalcvertex.h>`
`#include <synfig/valuenode_blinecalcwidth.h>`
`#include <synfig/curve_helper.h>`
`#include <sigc++/retype_return.h>`
`#include <sigc++/retype.h>`
`#include <sigc++/hide.h>`
`#include <sigc++/bind.h>`
`#include "canvasview.h"`
`#include "onemoment.h"`
`#include "general.h"`

## Defines

#define | TANGENT_HANDLE_SCALE 0.33333333333333333
#define | TANGENT_BEZIER_SCALE 0.33333333333333333
#define | REAL_COOKIE reinterpret_cast<synfig::ParamDesc*>(28)

## Functions

String | guid_string (const synfigapp::ValueDesc &x)
synfig::GUID | calc_duck_guid (const synfigapp::ValueDesc &x, const synfig::TransformStack &transform_stack)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define TANGENT_HANDLE_SCALE 0.33333333333333333

Referenced by studio::Duckmatic::add_to_ducks().

#define TANGENT_BEZIER_SCALE 0.33333333333333333

Referenced by studio::Duckmatic::add_to_ducks().

#define REAL_COOKIE reinterpret_cast<synfig::ParamDesc*>(28)

Referenced by studio::Duckmatic::add_to_ducks().

## Function Documentation

String guid_string | ( | const synfigapp::ValueDesc & | x | ) | `[inline]`

References synfigapp::ValueDesc::get_layer(), synfigapp::ValueDesc::get_param_name(), synfigapp::ValueDesc::get_value_node(), and synfigapp::ValueDesc::parent_is_layer_param().

Referenced by studio::Duckmatic::add_to_ducks().

synfig::GUID calc_duck_guid | ( | const synfigapp::ValueDesc & | x,
|  | const synfig::TransformStack & | transform_stack |
| ) |  |  | `[inline]`

References synfigapp::ValueDesc::get_layer(), synfigapp::ValueDesc::get_param_name(), synfigapp::ValueDesc::get_value_node(), and synfigapp::ValueDesc::parent_is_layer_param().

Referenced by studio::Duckmatic::add_to_ducks().